(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    296418,       7904]
NotebookOptionsPosition[    292269,       7757]
NotebookOutlinePosition[    292786,       7779]
CellTagsIndexPosition[    292699,       7774]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["General Relativity, Einstein & All That (GREAT)", "Section"],

Cell["First, load the package", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "COSPER"}]], "Input",
 CellChangeTimes->{{3.483095713703125*^9, 3.483095713828125*^9}, {
  3.5405180032527385`*^9, 3.5405180396738214`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Get", "::", "noopen"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Cannot open \[NoBreak]\\!\\(\\\"COSPER\\\"\\)\[NoBreak]. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/noopen\\\", \
ButtonNote -> \\\"Get::noopen\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.541045665739787*^9}],

Cell[BoxData["$Failed"], "Output",
 CellChangeTimes->{3.541045665744787*^9}]
}, Open  ]],

Cell["Brief on-line help is available for all functions:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "IMetric"}]], "Input"],

Cell[BoxData[
 StyleBox["\<\"IMetric[g], with g an n.n-matrix (two lower indices),\\n  \
returns the inverse metric (two upper indices).\"\>", "MSG"]], "Print", \
"PrintUsage",
 CellChangeTimes->{3.541045666001802*^9},
 CellTags->"Info3541074465-4348091"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Background", "Section",
 CellChangeTimes->{{3.5405257768593636`*^9, 3.5405257808425913`*^9}}],

Cell[CellGroupData[{

Cell["Background Geometry", "Subsection",
 CellChangeTimes->{{3.5405257647956734`*^9, 3.540525767757843*^9}, {
  3.541045446881269*^9, 3.5410454602270327`*^9}}],

Cell[TextData[{
 "First define the coordinate ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-vector:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", "=", 
  RowBox[{"{", 
   RowBox[{"t", ",", "x1", ",", "x2", ",", "x3"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.483183743*^9, 3.483183752921875*^9}, {
  3.514010402734375*^9, 3.514010403140625*^9}, {3.5394219758688*^9, 
  3.5394219763778296`*^9}, {3.539781483038621*^9, 3.5397815477163205`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"t", ",", "x1", ",", "x2", ",", "x3"}], "}"}]], "Output",
 CellChangeTimes->{3.5410456661818123`*^9}]
}, Open  ]],

Cell[TextData[{
 "and then specify the metric as a square ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "\[Times]", "n"}], TraditionalForm]]],
 " matrix:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"met", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"a", "[", "t", "]"}]}], "*", 
         RowBox[{"a", "[", "t", "]"}]}], ",", "0", ",", "0", ",", "0"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{
         RowBox[{"a", "[", "t", "]"}], "*", 
         RowBox[{"a", "[", "t", "]"}]}], ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{
         RowBox[{"a", "[", "t", "]"}], "*", 
         RowBox[{"a", "[", "t", "]"}]}], ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", 
        RowBox[{
         RowBox[{"a", "[", "t", "]"}], "*", 
         RowBox[{"a", "[", "t", "]"}]}]}], "}"}]}], "}"}]}], ")"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.483183763859375*^9, 3.48318385909375*^9}, {
   3.483183893171875*^9, 3.483183896125*^9}, {3.514010409859375*^9, 
   3.514010503203125*^9}, {3.514010717546875*^9, 3.514010722203125*^9}, {
   3.514196633765625*^9, 3.51419663659375*^9}, {3.539421987346457*^9, 
   3.539422107708341*^9}, {3.5396038321015687`*^9, 3.5396038342716928`*^9}, 
   3.539603870374758*^9, {3.53965511424774*^9, 3.5396551161598487`*^9}, 
   3.5397815525785985`*^9, {3.539781662685896*^9, 3.5397816679721985`*^9}, 
   3.5397820971237445`*^9, {3.5397847807179565`*^9, 3.539784783957142*^9}, {
   3.539784816671013*^9, 3.539784818293106*^9}, {3.539788182426523*^9, 
   3.539788185277686*^9}, 3.540036245550536*^9, {3.540519063644389*^9, 
   3.54051906470745*^9}, 3.5405193992675858`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"]}], "0", "0", "0"},
     {"0", 
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"], "0", "0"},
     {"0", "0", 
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"], "0"},
     {"0", "0", "0", 
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.5410456662388153`*^9}]
}, Open  ]],

Cell[TextData[{
 "\"",
 StyleBox["IMetric", "Input"],
 "\" is the only 1-argument function:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"IMetric", "[", "met", "]"}], "//", "MatrixForm"}]], "Input"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", 
       FractionBox["1", 
        SuperscriptBox[
         RowBox[{"a", "[", "t", "]"}], "2"]]}], "0", "0", "0"},
     {"0", 
      FractionBox["1", 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"]], "0", "0"},
     {"0", "0", 
      FractionBox["1", 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"]], "0"},
     {"0", "0", "0", 
      FractionBox["1", 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"]]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.5410456662918186`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 TagBox[
  RowBox[{"IMetric", "[", "met", "]"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Input",
 CellChangeTimes->{
  3.5397816717874165`*^9, {3.5397882189006095`*^9, 3.539788219184626*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["1", 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"]]}], ",", "0", ",", "0", ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", 
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     FractionBox["1", 
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     FractionBox["1", 
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.541045666344822*^9}]
}, Open  ]],

Cell["\<\
All other \"functions\" take two arguments, the metric matrix and then the \
coordinate vector:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"a", "[", "t", "]"}]], ",", "0", ",", "0", ",", "0"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"a", "[", "t", "]"}]], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"a", "[", "t", "]"}]], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       FractionBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"a", "[", "t", "]"}]]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"a", "[", "t", "]"}]], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"a", "[", "t", "]"}]], ",", "0", ",", "0", ",", "0"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"a", "[", "t", "]"}]], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"a", "[", "t", "]"}]], ",", "0", ",", "0", ",", "0"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       FractionBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"a", "[", "t", "]"}]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"a", "[", "t", "]"}]], ",", "0", ",", "0", ",", "0"}], 
      "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.541045666403825*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0", ",", "0"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         FractionBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0", ",", "0", ",", 
         "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0", ",", "0"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox[
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], "2"], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "2"]]}], ",", "0", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         FractionBox[
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], "2"], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "2"]]}], ",", "0", ",", "0"}], 
        "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0", ",", "0", ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "2"]]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox[
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], "2"], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0", ",", "0"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         FractionBox[
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], "2"], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "2"]]}], ",", "0"}], "}"}]}], 
      "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         FractionBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0", ",", "0", ",", 
         "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         RowBox[{"-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox[
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], "2"], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0", ",", "0"}], "}"}]}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         RowBox[{"-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox[
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], "2"], 
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0"}], "}"}]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.5410456664808292`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Ricci", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{
           SuperscriptBox["a", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
         RowBox[{
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0", ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
       RowBox[{
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}]}], 
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
       RowBox[{
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}]}], 
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
       RowBox[{
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}]}], 
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.5410456665578337`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"R", "=", 
  RowBox[{"SCurvature", "[", 
   RowBox[{"met", ",", "x"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5405221104656577`*^9, 3.5405221210932655`*^9}, 
   3.540522171735162*^9, {3.5407812012892857`*^9, 3.540781201469296*^9}, {
   3.540851532179982*^9, 3.540851533089034*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"6", " ", 
   RowBox[{
    SuperscriptBox["a", "\[Prime]\[Prime]",
     MultilineFunction->None], "[", "t", "]"}]}], 
  SuperscriptBox[
   RowBox[{"a", "[", "t", "]"}], "3"]]], "Output",
 CellChangeTimes->{3.541045666630838*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"SCurvature", "[", 
   RowBox[{"met", ",", "x"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5397889828553057`*^9, 3.539789009700841*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"6", " ", 
   RowBox[{
    SuperscriptBox["a", "\[Prime]\[Prime]",
     MultilineFunction->None], "[", "t", "]"}]}], 
  SuperscriptBox[
   RowBox[{"a", "[", "t", "]"}], "3"]]], "Output",
 CellChangeTimes->{3.5410456667068424`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"EinsteinTensor", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{"3", " ", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"]}], 
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0", ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
       RowBox[{"2", " ", 
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}]}], 
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
       RowBox[{"2", " ", 
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}]}], 
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"]], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
       RowBox[{"2", " ", 
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}]}], 
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.541045666791847*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SqRicci", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 FractionBox[
  RowBox[{"12", " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["a", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "4"], "-", 
     RowBox[{
      RowBox[{"a", "[", "t", "]"}], " ", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["a", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"], " ", 
      RowBox[{
       SuperscriptBox["a", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "t", "]"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["a", "\[Prime]\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"]}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"a", "[", "t", "]"}], "8"]]], "Output",
 CellChangeTimes->{3.541045666874852*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SqRiemann", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 FractionBox[
  RowBox[{"12", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["a", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "4"]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{"a", "[", "t", "]"}], " ", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["a", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"], " ", 
      RowBox[{
       SuperscriptBox["a", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "t", "]"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["a", "\[Prime]\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"]}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"a", "[", "t", "]"}], "8"]]], "Output",
 CellChangeTimes->{3.541045666947856*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"EMTensor", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"\[Rho]", "[", "t", "]"}]}], ",", "0", ",", "0", ",", "0"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"p", "[", "t", "]"}], ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"p", "[", "t", "]"}], ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", 
        RowBox[{"p", "[", "t", "]"}]}], "}"}]}], "}"}]}], ")"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.540518381901396*^9, 3.5405184452010164`*^9}, {
  3.540518507942605*^9, 3.5405185292598248`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          FractionBox["1.2234507000000001`", 
           RowBox[{
            SuperscriptBox["\[Kappa]", "2"], " ", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "4"]}]], "+", 
          FractionBox["4083.2100000000005`", 
           RowBox[{
            SuperscriptBox["\[Kappa]", "2"], " ", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "3"]}]]}], ")"}], "[", "t", 
        "]"}]}], "0", "0", "0"},
     {"0", 
      RowBox[{"p", "[", "t", "]"}], "0", "0"},
     {"0", "0", 
      RowBox[{"p", "[", "t", "]"}], "0"},
     {"0", "0", "0", 
      RowBox[{"p", "[", "t", "]"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.5410456670078597`*^9}]
}, Open  ]],

Cell["Friedmann Equation", "Text",
 CellChangeTimes->{{3.5405185450617285`*^9, 3.540518551718109*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FriedmannClassic", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"EinsteinTensor", "[", 
      RowBox[{"met", ",", "x"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
   RowBox[{
    SuperscriptBox["\[Kappa]", "2"], 
    RowBox[{
     RowBox[{"EMTensor", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.5405185565033827`*^9, 3.540518618543931*^9}, {
  3.5405189365401196`*^9, 3.540518941285391*^9}, {3.5405194324674845`*^9, 
  3.540519442770074*^9}, {3.540522675911999*^9, 3.54052267785511*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"3", " ", 
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["a", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], "2"]}], 
   SuperscriptBox[
    RowBox[{"a", "[", "t", "]"}], "2"]], "\[Equal]", 
  RowBox[{
   RowBox[{"-", 
    SuperscriptBox["\[Kappa]", "2"]}], " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      FractionBox["1.2234507000000001`", 
       RowBox[{
        SuperscriptBox["\[Kappa]", "2"], " ", 
        SuperscriptBox[
         RowBox[{"a", "[", "t", "]"}], "4"]}]], "+", 
      FractionBox["4083.2100000000005`", 
       RowBox[{
        SuperscriptBox["\[Kappa]", "2"], " ", 
        SuperscriptBox[
         RowBox[{"a", "[", "t", "]"}], "3"]}]]}], ")"}], "[", "t", 
    "]"}]}]}]], "Output",
 CellChangeTimes->{3.5410456670938644`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Friedmann"], "Input",
 CellChangeTimes->{{3.5405194468783092`*^9, 3.5405194489274263`*^9}}],

Cell[BoxData["Friedmann"], "Output",
 CellChangeTimes->{3.541045667154868*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Perturbation", "Section",
 CellChangeTimes->{{3.5408977526196404`*^9, 3.5408977564668603`*^9}, {
  3.5410453782823453`*^9, 3.5410453787223706`*^9}}],

Cell[CellGroupData[{

Cell["Perturbed Geometry", "Subsection",
 CellChangeTimes->{{3.5410454732917795`*^9, 3.541045480410187*^9}}],

Cell["\<\
The perturbation can be parametersed using several variables and the hold \
thoery is done in fourier space expanded using spherical functions.\
\>", "Text",
 CellChangeTimes->{{3.54089773110741*^9, 3.5408977629762325`*^9}, {
  3.5409003428737946`*^9, 3.540900385214216*^9}, {3.5410450875217147`*^9, 
  3.541045173573637*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Y", "[", 
  RowBox[{"coor1_", ",", "coor2_", ",", "coor3_"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Yj", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Y1", "[", 
      RowBox[{
       RowBox[{"x", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", 
       RowBox[{"x", "[", 
        RowBox[{"[", "3", "]"}], "]"}], ",", 
       RowBox[{"x", "[", 
        RowBox[{"[", "4", "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"Y2", "[", 
      RowBox[{
       RowBox[{"x", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", 
       RowBox[{"x", "[", 
        RowBox[{"[", "3", "]"}], "]"}], ",", 
       RowBox[{"x", "[", 
        RowBox[{"[", "4", "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"Y3", "[", 
      RowBox[{
       RowBox[{"x", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", 
       RowBox[{"x", "[", 
        RowBox[{"[", "3", "]"}], "]"}], ",", 
       RowBox[{"x", "[", 
        RowBox[{"[", "4", "]"}], "]"}]}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Yij", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Y11", "[", 
       RowBox[{
        RowBox[{"x", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "]"}], ",", 
      RowBox[{"Y12", "[", 
       RowBox[{
        RowBox[{"x", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "]"}], ",", 
      RowBox[{"Y13", "[", 
       RowBox[{
        RowBox[{"x", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Y21", "[", 
       RowBox[{
        RowBox[{"x", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "]"}], ",", 
      RowBox[{"Y22", "[", 
       RowBox[{
        RowBox[{"x", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "]"}], ",", 
      RowBox[{"Y23", "[", 
       RowBox[{
        RowBox[{"x", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Y31", "[", 
       RowBox[{
        RowBox[{"x", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "]"}], ",", 
      RowBox[{"Y32", "[", 
       RowBox[{
        RowBox[{"x", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "]"}], ",", 
      RowBox[{"Y33", "[", 
       RowBox[{
        RowBox[{"x", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "]"}]}], "}"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"h00", "=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"a", "[", 
      RowBox[{"x", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "]"}], "2"], "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "*", 
      RowBox[{"A", "[", 
       RowBox[{"x", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}], "*", 
      RowBox[{"Y", "[", 
       RowBox[{
        RowBox[{"x", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "]"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"h0j", "[", "jj_", "]"}], ":=", 
   RowBox[{
    RowBox[{"-", " ", 
     SuperscriptBox[
      RowBox[{"a", "[", 
       RowBox[{"x", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}], "2"]}], "*", 
    RowBox[{"B", "[", 
     RowBox[{"x", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "]"}], "*", 
    RowBox[{"Yj", "[", 
     RowBox[{"[", "jj", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hij", "[", 
   RowBox[{"ii_", ",", "jj_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    SuperscriptBox[
     RowBox[{"a", "[", 
      RowBox[{"x", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "]"}], "2"], "*", "2", 
    RowBox[{"Hl", "[", 
     RowBox[{"x", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "]"}], "*", 
    RowBox[{"Y", "[", 
     RowBox[{
      RowBox[{"x", "[", 
       RowBox[{"[", "2", "]"}], "]"}], ",", 
      RowBox[{"x", "[", 
       RowBox[{"[", "3", "]"}], "]"}], ",", 
      RowBox[{"x", "[", 
       RowBox[{"[", "4", "]"}], "]"}]}], "]"}], "*", 
    RowBox[{"KroneckerDelta", "[", 
     RowBox[{"ii", ",", "jj"}], "]"}]}], "+", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"a", "[", 
      RowBox[{"x", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "]"}], "2"], "*", "2", "*", 
    RowBox[{"Ht", "[", 
     RowBox[{"x", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "]"}], "*", 
    RowBox[{
     RowBox[{"Yij", "[", 
      RowBox[{"[", "ii", "]"}], "]"}], "[", 
     RowBox[{"[", "jj", "]"}], "]"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"B", "[", 
    RowBox[{"x", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "]"}], "=", "0"}], ";", 
  RowBox[{
   RowBox[{"Ht", "[", 
    RowBox[{"x", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "]"}], "=", "0"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5408983333728576`*^9, 3.540898496554191*^9}, {
  3.540898528600024*^9, 3.540898531344181*^9}, {3.5408991814483647`*^9, 
  3.540899229026086*^9}, {3.5408992660862055`*^9, 3.5408993868041105`*^9}, {
  3.5408994840506725`*^9, 3.5408995503894672`*^9}, {3.5408996418226967`*^9, 
  3.5408997340999746`*^9}, {3.540899765055745*^9, 3.5408997898181615`*^9}, {
  3.540899824371138*^9, 3.540899857748047*^9}, {3.5408998888608265`*^9, 
  3.5409001955363674`*^9}, {3.5409005060961304`*^9, 3.540900667096339*^9}, {
  3.540900729842928*^9, 3.5409007892123237`*^9}, {3.540900886199871*^9, 
  3.540900979981235*^9}, {3.5409010480531282`*^9, 3.54090112710565*^9}, {
  3.5409011714171844`*^9, 3.540901239455076*^9}, {3.540901385590434*^9, 
  3.5409013950849776`*^9}, {3.5409152970981274`*^9, 3.5409153007493362`*^9}, {
  3.540987722149603*^9, 3.5409877699883394`*^9}, {3.5410450813423615`*^9, 
  3.5410450821624084`*^9}}],

Cell[BoxData[
 RowBox[{"Y", "[", 
  RowBox[{"coor1_", ",", "coor2_", ",", "coor3_"}], "]"}]], "Output",
 CellChangeTimes->{3.541045667221872*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Y11", "[", 
      RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], ",", 
     RowBox[{"Y12", "[", 
      RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], ",", 
     RowBox[{"Y13", "[", 
      RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Y21", "[", 
      RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], ",", 
     RowBox[{"Y22", "[", 
      RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], ",", 
     RowBox[{"Y23", "[", 
      RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Y31", "[", 
      RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], ",", 
     RowBox[{"Y32", "[", 
      RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], ",", 
     RowBox[{"Y33", "[", 
      RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.5410456672738748`*^9}]
}, Open  ]],

Cell["\<\
Perturbed metric in Scalar perturbation\
\>", "Text",
 CellChangeTimes->{{3.5410451909826326`*^9, 3.5410452071595573`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"delmet", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"h00", ",", 
        RowBox[{"h0j", "[", "1", "]"}], ",", 
        RowBox[{"h0j", "[", "2", "]"}], ",", 
        RowBox[{"h0j", "[", "3", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"h0j", "[", "1", "]"}], ",", 
        RowBox[{"hij", "[", 
         RowBox[{"1", ",", "1"}], "]"}], ",", 
        RowBox[{"hij", "[", 
         RowBox[{"1", ",", "2"}], "]"}], ",", 
        RowBox[{"hij", "[", 
         RowBox[{"1", ",", "3"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"h0j", "[", "2", "]"}], ",", 
        RowBox[{"hij", "[", 
         RowBox[{"2", ",", "1"}], "]"}], ",", 
        RowBox[{"hij", "[", 
         RowBox[{"2", ",", "2"}], "]"}], ",", 
        RowBox[{"hij", "[", 
         RowBox[{"2", ",", "3"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"h0j", "[", "3", "]"}], ",", 
        RowBox[{"hij", "[", 
         RowBox[{"3", ",", "1"}], "]"}], ",", 
        RowBox[{"hij", "[", 
         RowBox[{"3", ",", "2"}], "]"}], ",", 
        RowBox[{"hij", "[", 
         RowBox[{"3", ",", "3"}], "]"}]}], "}"}]}], "}"}]}], ")"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.5408973182887983`*^9, 3.540897319379861*^9}, {
  3.54089783915059*^9, 3.540897976345437*^9}, {3.5408980634744205`*^9, 
  3.540898191063718*^9}, {3.5408982212534447`*^9, 3.5408983130406947`*^9}, {
  3.5408983438744583`*^9, 3.5408983686878777`*^9}, {3.5409002094181614`*^9, 
  3.5409002755889463`*^9}, {3.54090142800086*^9, 3.5409015702839985`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"], " ", 
       RowBox[{"A", "[", "t", "]"}], " ", 
       RowBox[{"Y", "[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "0", "0", "0"},
     {"0", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"], " ", 
       RowBox[{"Hl", "[", "t", "]"}], " ", 
       RowBox[{"Y", "[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "0", "0"},
     {"0", "0", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"], " ", 
       RowBox[{"Hl", "[", "t", "]"}], " ", 
       RowBox[{"Y", "[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "0"},
     {"0", "0", "0", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"], " ", 
       RowBox[{"Hl", "[", "t", "]"}], " ", 
       RowBox[{"Y", "[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.5410456673338785`*^9}]
}, Open  ]],

Cell["Perturbed Christoffel symbol", "Text",
 CellChangeTimes->{{3.541045210408744*^9, 3.5410452252375917`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"deltaChristoffel", "[", 
   RowBox[{"met", ",", "delmet", ",", "x"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.5408972741982765`*^9, 3.540897274314283*^9}, {
   3.5409016437121983`*^9, 3.5409016551478524`*^9}, {3.5409018220734*^9, 
   3.5409018259926243`*^9}, {3.5409025311849585`*^9, 3.540902533290079*^9}, {
   3.540954380687581*^9, 3.5409543824056787`*^9}, 3.540956295578106*^9, {
   3.5410450673625617`*^9, 3.5410450728448753`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{
             SuperscriptBox["A", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]},
          {
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"1", ",", "0", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "1", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "0", ",", "1"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"1", ",", "0", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {
           FractionBox[
            RowBox[{
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "2"}], " ", 
                RowBox[{"A", "[", "t", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}]}], "+", 
               RowBox[{"2", " ", 
                RowBox[{"Hl", "[", "t", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}]}], "+", 
               RowBox[{
                RowBox[{"a", "[", "t", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["Hl", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
            RowBox[{"a", "[", "t", "]"}]]},
          {"0"},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "1", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {"0"},
          {
           FractionBox[
            RowBox[{
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "2"}], " ", 
                RowBox[{"A", "[", "t", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}]}], "+", 
               RowBox[{"2", " ", 
                RowBox[{"Hl", "[", "t", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}]}], "+", 
               RowBox[{
                RowBox[{"a", "[", "t", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["Hl", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
            RowBox[{"a", "[", "t", "]"}]]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "0", ",", "1"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {"0"},
          {"0"},
          {
           FractionBox[
            RowBox[{
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "2"}], " ", 
                RowBox[{"A", "[", "t", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}]}], "+", 
               RowBox[{"2", " ", 
                RowBox[{"Hl", "[", "t", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}]}], "+", 
               RowBox[{
                RowBox[{"a", "[", "t", "]"}], " ", 
                RowBox[{
                 SuperscriptBox["Hl", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
            RowBox[{"a", "[", "t", "]"}]]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"1", ",", "0", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {
           RowBox[{
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{
             SuperscriptBox["Hl", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]},
          {"0"},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{
             SuperscriptBox["Hl", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]},
          {
           RowBox[{
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"1", ",", "0", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {
           RowBox[{
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "1", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {
           RowBox[{
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "0", ",", "1"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "1", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {
           RowBox[{
            RowBox[{"-", 
             RowBox[{"Hl", "[", "t", "]"}]}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"1", ",", "0", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "0", ",", "1"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {"0"},
          {
           RowBox[{
            RowBox[{"-", 
             RowBox[{"Hl", "[", "t", "]"}]}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"1", ",", "0", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "1", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {"0"},
          {
           RowBox[{
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{
             SuperscriptBox["Hl", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{
            RowBox[{"-", 
             RowBox[{"Hl", "[", "t", "]"}]}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "1", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {
           RowBox[{
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"1", ",", "0", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{
             SuperscriptBox["Hl", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]},
          {
           RowBox[{
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"1", ",", "0", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {
           RowBox[{
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "1", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {
           RowBox[{
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "0", ",", "1"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"0"},
          {
           RowBox[{
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "0", ",", "1"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {
           RowBox[{
            RowBox[{"-", 
             RowBox[{"Hl", "[", "t", "]"}]}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "1", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "0", ",", "1"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {"0"},
          {"0"},
          {
           RowBox[{
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{
             SuperscriptBox["Hl", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{
            RowBox[{"-", 
             RowBox[{"Hl", "[", "t", "]"}]}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "0", ",", "1"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {"0"},
          {
           RowBox[{
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"1", ",", "0", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"0"},
          {
           RowBox[{
            RowBox[{"-", 
             RowBox[{"Hl", "[", "t", "]"}]}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "0", ",", "1"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {
           RowBox[{
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "1", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{
             SuperscriptBox["Hl", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]},
          {
           RowBox[{
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"1", ",", "0", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {
           RowBox[{
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "1", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
          {
           RowBox[{
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "0", ",", "1"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.541045668622952*^9}]
}, Open  ]],

Cell["Perturbed Ricci tensor", "Text",
 CellChangeTimes->{{3.541045233477063*^9, 3.5410452415085225`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"deltaRicci", "[", 
   RowBox[{"met", ",", "delmet", ",", "x"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.5409801612351437`*^9, 3.540980166848465*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       RowBox[{
        RowBox[{"3", " ", 
         RowBox[{"Y", "[", 
          RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SuperscriptBox["A", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "-", 
              RowBox[{
               SuperscriptBox["Hl", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}], ")"}]}], "-", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Hl", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"a", "[", "t", "]"}], " ", 
         RowBox[{"A", "[", "t", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SuperscriptBox["Y", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"0", ",", "0", ",", "2"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
           RowBox[{
            SuperscriptBox["Y", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"0", ",", "2", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
           RowBox[{
            SuperscriptBox["Y", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"2", ",", "0", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
       RowBox[{"a", "[", "t", "]"}]], 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "-", 
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["Hl", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["Y", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"1", ",", "0", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], 
       RowBox[{"a", "[", "t", "]"}]], 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "-", 
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["Hl", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["Y", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "1", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], 
       RowBox[{"a", "[", "t", "]"}]], 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "-", 
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["Hl", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["Y", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "0", ",", "1"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], 
       RowBox[{"a", "[", "t", "]"}]]},
     {
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "-", 
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["Hl", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["Y", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"1", ",", "0", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], 
       RowBox[{"a", "[", "t", "]"}]], 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"a", "[", "t", "]"}], " ", 
         RowBox[{"Y", "[", 
          RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", 
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SuperscriptBox["A", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "-", 
              RowBox[{"5", " ", 
               RowBox[{
                SuperscriptBox["Hl", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Hl", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
        RowBox[{
         RowBox[{"A", "[", "t", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"2", ",", "0", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"Hl", "[", "t", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SuperscriptBox["Y", 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
              RowBox[{
               SuperscriptBox["Y", 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
              RowBox[{"2", " ", 
               RowBox[{
                SuperscriptBox["Y", 
                 TagBox[
                  RowBox[{"(", 
                   RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                  Derivative],
                 MultilineFunction->None], "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], ")"}]}]}], 
          ")"}]}]}], 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"]], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"A", "[", "t", "]"}], "+", 
          RowBox[{"Hl", "[", "t", "]"}]}], ")"}]}], " ", 
       RowBox[{
        SuperscriptBox["Y", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"A", "[", "t", "]"}], "+", 
          RowBox[{"Hl", "[", "t", "]"}]}], ")"}]}], " ", 
       RowBox[{
        SuperscriptBox["Y", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "0", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
     {
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "-", 
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["Hl", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["Y", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "1", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], 
       RowBox[{"a", "[", "t", "]"}]], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"A", "[", "t", "]"}], "+", 
          RowBox[{"Hl", "[", "t", "]"}]}], ")"}]}], " ", 
       RowBox[{
        SuperscriptBox["Y", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"a", "[", "t", "]"}], " ", 
         RowBox[{"Y", "[", 
          RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", 
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SuperscriptBox["A", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "-", 
              RowBox[{"5", " ", 
               RowBox[{
                SuperscriptBox["Hl", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Hl", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
        RowBox[{
         RowBox[{"A", "[", "t", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "2", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"Hl", "[", "t", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SuperscriptBox["Y", 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
              RowBox[{"2", " ", 
               RowBox[{
                SuperscriptBox["Y", 
                 TagBox[
                  RowBox[{"(", 
                   RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                  Derivative],
                 MultilineFunction->None], "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "+", 
              RowBox[{
               SuperscriptBox["Y", 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
          ")"}]}]}], 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"]], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"A", "[", "t", "]"}], "+", 
          RowBox[{"Hl", "[", "t", "]"}]}], ")"}]}], " ", 
       RowBox[{
        SuperscriptBox["Y", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "1", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]},
     {
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "-", 
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["Hl", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["Y", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "0", ",", "1"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], 
       RowBox[{"a", "[", "t", "]"}]], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"A", "[", "t", "]"}], "+", 
          RowBox[{"Hl", "[", "t", "]"}]}], ")"}]}], " ", 
       RowBox[{
        SuperscriptBox["Y", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "0", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"A", "[", "t", "]"}], "+", 
          RowBox[{"Hl", "[", "t", "]"}]}], ")"}]}], " ", 
       RowBox[{
        SuperscriptBox["Y", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "1", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"a", "[", "t", "]"}], " ", 
         RowBox[{"Y", "[", 
          RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", 
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SuperscriptBox["A", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "-", 
              RowBox[{"5", " ", 
               RowBox[{
                SuperscriptBox["Hl", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Hl", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
        RowBox[{
         RowBox[{"A", "[", "t", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], " ", 
            RowBox[{
             SuperscriptBox["Y", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "0", ",", "2"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"Hl", "[", "t", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", " ", 
               RowBox[{
                SuperscriptBox["Y", 
                 TagBox[
                  RowBox[{"(", 
                   RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                  Derivative],
                 MultilineFunction->None], "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "+", 
              RowBox[{
               SuperscriptBox["Y", 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
              RowBox[{
               SuperscriptBox["Y", 
                TagBox[
                 RowBox[{"(", 
                  RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                 Derivative],
                MultilineFunction->None], "[", 
               RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
          ")"}]}]}], 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"]]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.5410456700190315`*^9}]
}, Open  ]],

Cell["\<\
Perturbed Ricci scalar || I haven\[CloseCurlyQuote]t look into this \
carefully. If you are going to use this function, check it yourself.\
\>", "Text",
 CellChangeTimes->{{3.541045245029724*^9, 3.541045252269138*^9}, {
  3.5410457676226144`*^9, 3.541045770015751*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"deltaSCurvature", "[", 
  RowBox[{"met", ",", "delmet", ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.541041267427218*^9, 3.5410412774387903`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"a", "[", "t", "]"}], "4"], " ", 
    RowBox[{"A", "[", "t", "]"}], " ", 
    RowBox[{"Hl", "[", "t", "]"}], " ", 
    RowBox[{"Y", "[", 
     RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "3"}], " ", 
     RowBox[{"Hl", "[", "t", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
       RowBox[{
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox[
      RowBox[{"A", "[", "t", "]"}], "2"], " ", 
     RowBox[{"Hl", "[", "t", "]"}], " ", 
     RowBox[{"Y", "[", 
      RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", 
        RowBox[{"Y", "[", 
         RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"a", "[", "t", "]"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox["Y", 
            TagBox[
             RowBox[{"(", 
              RowBox[{"0", ",", "0", ",", "2"}], ")"}],
             Derivative],
            MultilineFunction->None], "[", 
           RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
          RowBox[{
           SuperscriptBox["Y", 
            TagBox[
             RowBox[{"(", 
              RowBox[{"0", ",", "2", ",", "0"}], ")"}],
             Derivative],
            MultilineFunction->None], "[", 
           RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
          RowBox[{
           SuperscriptBox["Y", 
            TagBox[
             RowBox[{"(", 
              RowBox[{"2", ",", "0", ",", "0"}], ")"}],
             Derivative],
            MultilineFunction->None], "[", 
           RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], ")"}]}], 
    "+", 
    RowBox[{
     RowBox[{"A", "[", "t", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", 
           SuperscriptBox[
            RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
           SuperscriptBox[
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], ")"}], 
        " ", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["a", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
       RowBox[{"12", " ", 
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{"Hl", "[", "t", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"Y", "[", 
          RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox["A", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], "-", 
          RowBox[{"3", " ", 
           RowBox[{
            SuperscriptBox["Hl", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"3", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"4", " ", 
              SuperscriptBox[
               RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
              SuperscriptBox[
               RowBox[{"Y", "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], ")"}], 
           " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "-", 
          RowBox[{"4", " ", 
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{"Hl", "[", "t", "]"}], " ", 
           RowBox[{"Y", "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "3"}], " ", 
              RowBox[{"Y", "[", 
               RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
              RowBox[{
               SuperscriptBox["Hl", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}], "+", 
             RowBox[{"2", " ", 
              RowBox[{"Hl", "[", "t", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 SuperscriptBox["Y", 
                  TagBox[
                   RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                   Derivative],
                  MultilineFunction->None], "[", 
                 RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                RowBox[{
                 SuperscriptBox["Y", 
                  TagBox[
                   RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                   Derivative],
                  MultilineFunction->None], "[", 
                 RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                RowBox[{
                 SuperscriptBox["Y", 
                  TagBox[
                   RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                   Derivative],
                  MultilineFunction->None], "[", 
                 RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
            ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.541045688157069*^9}]
}, Open  ]],

Cell["\<\
Perturbed Einsten tensor || I haven\[CloseCurlyQuote]t look into this \
carefully. If you are going to use this function, check it yourself.\
\>", "Text",
 CellChangeTimes->{{3.541045254675276*^9, 3.541045266326942*^9}, {
  3.5410457218169947`*^9, 3.54104575110767*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"deltaEinsteinTensor", "[", 
  RowBox[{"met", ",", "delmet", ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.5410440239788837`*^9, 3.541044044821076*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{
        FractionBox[
         RowBox[{"6", " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], 
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "3"]], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], "}"}]}], 
         "}"}]}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{
        RowBox[{
         FractionBox["1", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "4"], " ", 
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{"Hl", "[", "t", "]"}], " ", 
           RowBox[{"Y", "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"A", "[", "t", "]"}], "2"], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"Y", "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
                 RowBox[{
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"a", "[", "t", "]"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
             ")"}]}], "+", 
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"4", " ", 
                  SuperscriptBox[
                   RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                ")"}], " ", 
               SuperscriptBox[
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
              RowBox[{"12", " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"Hl", "[", "t", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Y", "[", 
                 RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["A", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}], "-", 
                 RowBox[{"3", " ", 
                  RowBox[{
                   SuperscriptBox["Hl", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                   ")"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
                 RowBox[{"4", " ", 
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "3"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                   ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"]}], ",", "0", ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0", ",", "0"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"]}], "}"}]}], "}"}]}]}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"3", " ", 
         RowBox[{"Y", "[", 
          RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SuperscriptBox["A", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "-", 
              RowBox[{
               SuperscriptBox["Hl", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}], ")"}]}], "-", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["Hl", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"a", "[", "t", "]"}], " ", 
         RowBox[{"A", "[", "t", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SuperscriptBox["Y", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"0", ",", "0", ",", "2"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
           RowBox[{
            SuperscriptBox["Y", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"0", ",", "2", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
           RowBox[{
            SuperscriptBox["Y", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"2", ",", "0", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
       RowBox[{"a", "[", "t", "]"}]]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{
        FractionBox[
         RowBox[{"6", " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], 
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "3"]], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], "}"}]}], 
         "}"}]}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{
        RowBox[{
         FractionBox["1", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "4"], " ", 
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{"Hl", "[", "t", "]"}], " ", 
           RowBox[{"Y", "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"A", "[", "t", "]"}], "2"], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"Y", "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
                 RowBox[{
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"a", "[", "t", "]"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
             ")"}]}], "+", 
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"4", " ", 
                  SuperscriptBox[
                   RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                ")"}], " ", 
               SuperscriptBox[
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
              RowBox[{"12", " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"Hl", "[", "t", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Y", "[", 
                 RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["A", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}], "-", 
                 RowBox[{"3", " ", 
                  RowBox[{
                   SuperscriptBox["Hl", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                   ")"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
                 RowBox[{"4", " ", 
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "3"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                   ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"]}], ",", "0", ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0", ",", "0"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"]}], "}"}]}], "}"}]}]}], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "-", 
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["Hl", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["Y", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"1", ",", "0", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], 
       RowBox[{"a", "[", "t", "]"}]]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{
        FractionBox[
         RowBox[{"6", " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], 
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "3"]], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], "}"}]}], 
         "}"}]}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{
        RowBox[{
         FractionBox["1", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "4"], " ", 
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{"Hl", "[", "t", "]"}], " ", 
           RowBox[{"Y", "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"A", "[", "t", "]"}], "2"], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"Y", "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
                 RowBox[{
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"a", "[", "t", "]"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
             ")"}]}], "+", 
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"4", " ", 
                  SuperscriptBox[
                   RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                ")"}], " ", 
               SuperscriptBox[
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
              RowBox[{"12", " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"Hl", "[", "t", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Y", "[", 
                 RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["A", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}], "-", 
                 RowBox[{"3", " ", 
                  RowBox[{
                   SuperscriptBox["Hl", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                   ")"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
                 RowBox[{"4", " ", 
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "3"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                   ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"]}], ",", "0", ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0", ",", "0"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"]}], "}"}]}], "}"}]}]}], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "-", 
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["Hl", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["Y", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "1", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], 
       RowBox[{"a", "[", "t", "]"}]]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{
        FractionBox[
         RowBox[{"6", " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], 
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "3"]], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], "}"}]}], 
         "}"}]}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{
        RowBox[{
         FractionBox["1", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "4"], " ", 
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{"Hl", "[", "t", "]"}], " ", 
           RowBox[{"Y", "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"A", "[", "t", "]"}], "2"], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"Y", "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
                 RowBox[{
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"a", "[", "t", "]"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
             ")"}]}], "+", 
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"4", " ", 
                  SuperscriptBox[
                   RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                ")"}], " ", 
               SuperscriptBox[
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
              RowBox[{"12", " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"Hl", "[", "t", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Y", "[", 
                 RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["A", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}], "-", 
                 RowBox[{"3", " ", 
                  RowBox[{
                   SuperscriptBox["Hl", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                   ")"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
                 RowBox[{"4", " ", 
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "3"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                   ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"]}], ",", "0", ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0", ",", "0"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"]}], "}"}]}], "}"}]}]}], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "-", 
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["Hl", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["Y", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "0", ",", "1"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], 
       RowBox[{"a", "[", "t", "]"}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{
        FractionBox[
         RowBox[{"6", " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], 
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "3"]], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], "}"}]}], 
         "}"}]}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{
        RowBox[{
         FractionBox["1", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "4"], " ", 
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{"Hl", "[", "t", "]"}], " ", 
           RowBox[{"Y", "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"A", "[", "t", "]"}], "2"], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"Y", "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
                 RowBox[{
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"a", "[", "t", "]"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
             ")"}]}], "+", 
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"4", " ", 
                  SuperscriptBox[
                   RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                ")"}], " ", 
               SuperscriptBox[
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
              RowBox[{"12", " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"Hl", "[", "t", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Y", "[", 
                 RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["A", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}], "-", 
                 RowBox[{"3", " ", 
                  RowBox[{
                   SuperscriptBox["Hl", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                   ")"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
                 RowBox[{"4", " ", 
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "3"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                   ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"]}], ",", "0", ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0", ",", "0"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"]}], "}"}]}], "}"}]}]}], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "-", 
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["Hl", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["Y", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"1", ",", "0", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], 
       RowBox[{"a", "[", "t", "]"}]]}], ",", 
     RowBox[{"-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "2"]}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], "-", 
            RowBox[{"Hl", "[", "t", "]"}]}], ")"}], " ", 
          RowBox[{"Y", "[", 
           RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{"Y", "[", 
           RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                SuperscriptBox["A", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "-", 
               RowBox[{"5", " ", 
                RowBox[{
                 SuperscriptBox["Hl", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"A", "[", "t", "]"}], "-", 
               RowBox[{"Hl", "[", "t", "]"}]}], ")"}], " ", 
             RowBox[{
              SuperscriptBox["a", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"6", " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}], 
              SuperscriptBox[
               RowBox[{"a", "[", "t", "]"}], "3"]], ".", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "2"}], " ", 
                  SuperscriptBox[
                   RowBox[{"a", "[", "t", "]"}], "2"], " ", 
                  RowBox[{"A", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", 
                 ",", "0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"a", "[", "t", "]"}], "2"], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", 
                 ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"a", "[", "t", "]"}], "2"], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0"}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "0", ",", 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"a", "[", "t", "]"}], "2"], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], "}"}]}], 
              "}"}]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"1", "/", 
               RowBox[{"(", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"a", "[", "t", "]"}], "4"], " ", 
                 RowBox[{"A", "[", "t", "]"}], " ", 
                 RowBox[{"Hl", "[", "t", "]"}], " ", 
                 RowBox[{"Y", "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "3"}], " ", 
                 RowBox[{"Hl", "[", "t", "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   SuperscriptBox[
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
                   RowBox[{
                    RowBox[{"a", "[", "t", "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
                "-", 
                RowBox[{"4", " ", 
                 SuperscriptBox[
                  RowBox[{"A", "[", "t", "]"}], "2"], " ", 
                 RowBox[{"Hl", "[", "t", "]"}], " ", 
                 RowBox[{"Y", "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"3", " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
                    RowBox[{
                    RowBox[{"a", "[", "t", "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
                   "+", 
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"a", "[", "t", "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                  ")"}]}], "+", 
                RowBox[{
                 RowBox[{"A", "[", "t", "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"3", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
                   RowBox[{"12", " ", 
                    RowBox[{"a", "[", "t", "]"}], " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["A", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "-", 
                    RowBox[{"3", " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
                   "+", 
                   RowBox[{
                    RowBox[{"a", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"3", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                    ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
                    RowBox[{"4", " ", 
                    RowBox[{"a", "[", "t", "]"}], " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "3"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], ".", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", 
                  SuperscriptBox[
                   RowBox[{"a", "[", "t", "]"}], "2"]}], ",", "0", ",", "0", 
                 ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 SuperscriptBox[
                  RowBox[{"a", "[", "t", "]"}], "2"], ",", "0", ",", "0"}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", 
                 SuperscriptBox[
                  RowBox[{"a", "[", "t", "]"}], "2"], ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "0", ",", 
                 SuperscriptBox[
                  RowBox[{"a", "[", "t", "]"}], "2"]}], "}"}]}], "}"}]}], "-", 
            RowBox[{"2", " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
             RowBox[{
              SuperscriptBox["Hl", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["Y", 
               TagBox[
                RowBox[{"(", 
                 RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                Derivative],
               MultilineFunction->None], "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["Y", 
               TagBox[
                RowBox[{"(", 
                 RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                Derivative],
               MultilineFunction->None], "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["Y", 
               TagBox[
                RowBox[{"(", 
                 RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                Derivative],
               MultilineFunction->None], "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "+", 
            RowBox[{"4", " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["Y", 
               TagBox[
                RowBox[{"(", 
                 RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                Derivative],
               MultilineFunction->None], "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], ")"}]}]}], 
        ")"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{
        FractionBox[
         RowBox[{"6", " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], 
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "3"]], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], "}"}]}], 
         "}"}]}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{
        RowBox[{
         FractionBox["1", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "4"], " ", 
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{"Hl", "[", "t", "]"}], " ", 
           RowBox[{"Y", "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"A", "[", "t", "]"}], "2"], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"Y", "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
                 RowBox[{
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"a", "[", "t", "]"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
             ")"}]}], "+", 
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"4", " ", 
                  SuperscriptBox[
                   RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                ")"}], " ", 
               SuperscriptBox[
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
              RowBox[{"12", " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"Hl", "[", "t", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Y", "[", 
                 RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["A", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}], "-", 
                 RowBox[{"3", " ", 
                  RowBox[{
                   SuperscriptBox["Hl", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                   ")"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
                 RowBox[{"4", " ", 
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "3"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                   ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"]}], ",", "0", ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0", ",", "0"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"]}], "}"}]}], "}"}]}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"A", "[", "t", "]"}], "+", 
         RowBox[{"Hl", "[", "t", "]"}]}], ")"}], " ", 
       RowBox[{
        SuperscriptBox["Y", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{
        FractionBox[
         RowBox[{"6", " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], 
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "3"]], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], "}"}]}], 
         "}"}]}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{
        RowBox[{
         FractionBox["1", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "4"], " ", 
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{"Hl", "[", "t", "]"}], " ", 
           RowBox[{"Y", "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"A", "[", "t", "]"}], "2"], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"Y", "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
                 RowBox[{
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"a", "[", "t", "]"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
             ")"}]}], "+", 
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"4", " ", 
                  SuperscriptBox[
                   RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                ")"}], " ", 
               SuperscriptBox[
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
              RowBox[{"12", " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"Hl", "[", "t", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Y", "[", 
                 RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["A", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}], "-", 
                 RowBox[{"3", " ", 
                  RowBox[{
                   SuperscriptBox["Hl", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                   ")"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
                 RowBox[{"4", " ", 
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "3"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                   ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"]}], ",", "0", ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0", ",", "0"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"]}], "}"}]}], "}"}]}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"A", "[", "t", "]"}], "+", 
         RowBox[{"Hl", "[", "t", "]"}]}], ")"}], " ", 
       RowBox[{
        SuperscriptBox["Y", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "0", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{
        FractionBox[
         RowBox[{"6", " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], 
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "3"]], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], "}"}]}], 
         "}"}]}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{
        RowBox[{
         FractionBox["1", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "4"], " ", 
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{"Hl", "[", "t", "]"}], " ", 
           RowBox[{"Y", "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"A", "[", "t", "]"}], "2"], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"Y", "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
                 RowBox[{
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"a", "[", "t", "]"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
             ")"}]}], "+", 
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"4", " ", 
                  SuperscriptBox[
                   RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                ")"}], " ", 
               SuperscriptBox[
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
              RowBox[{"12", " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"Hl", "[", "t", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Y", "[", 
                 RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["A", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}], "-", 
                 RowBox[{"3", " ", 
                  RowBox[{
                   SuperscriptBox["Hl", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                   ")"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
                 RowBox[{"4", " ", 
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "3"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                   ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"]}], ",", "0", ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0", ",", "0"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"]}], "}"}]}], "}"}]}]}], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "-", 
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["Hl", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["Y", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "1", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], 
       RowBox[{"a", "[", "t", "]"}]]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{
        FractionBox[
         RowBox[{"6", " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], 
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "3"]], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], "}"}]}], 
         "}"}]}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{
        RowBox[{
         FractionBox["1", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "4"], " ", 
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{"Hl", "[", "t", "]"}], " ", 
           RowBox[{"Y", "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"A", "[", "t", "]"}], "2"], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"Y", "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
                 RowBox[{
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"a", "[", "t", "]"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
             ")"}]}], "+", 
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"4", " ", 
                  SuperscriptBox[
                   RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                ")"}], " ", 
               SuperscriptBox[
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
              RowBox[{"12", " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"Hl", "[", "t", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Y", "[", 
                 RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["A", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}], "-", 
                 RowBox[{"3", " ", 
                  RowBox[{
                   SuperscriptBox["Hl", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                   ")"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
                 RowBox[{"4", " ", 
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "3"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                   ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"]}], ",", "0", ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0", ",", "0"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"]}], "}"}]}], "}"}]}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"A", "[", "t", "]"}], "+", 
         RowBox[{"Hl", "[", "t", "]"}]}], ")"}], " ", 
       RowBox[{
        SuperscriptBox["Y", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], ",", 
     RowBox[{"-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "2"]}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], "-", 
            RowBox[{"Hl", "[", "t", "]"}]}], ")"}], " ", 
          RowBox[{"Y", "[", 
           RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{"Y", "[", 
           RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                SuperscriptBox["A", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "-", 
               RowBox[{"5", " ", 
                RowBox[{
                 SuperscriptBox["Hl", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"A", "[", "t", "]"}], "-", 
               RowBox[{"Hl", "[", "t", "]"}]}], ")"}], " ", 
             RowBox[{
              SuperscriptBox["a", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"6", " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}], 
              SuperscriptBox[
               RowBox[{"a", "[", "t", "]"}], "3"]], ".", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "2"}], " ", 
                  SuperscriptBox[
                   RowBox[{"a", "[", "t", "]"}], "2"], " ", 
                  RowBox[{"A", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", 
                 ",", "0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"a", "[", "t", "]"}], "2"], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", 
                 ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"a", "[", "t", "]"}], "2"], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0"}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "0", ",", 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"a", "[", "t", "]"}], "2"], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], "}"}]}], 
              "}"}]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"1", "/", 
               RowBox[{"(", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"a", "[", "t", "]"}], "4"], " ", 
                 RowBox[{"A", "[", "t", "]"}], " ", 
                 RowBox[{"Hl", "[", "t", "]"}], " ", 
                 RowBox[{"Y", "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "3"}], " ", 
                 RowBox[{"Hl", "[", "t", "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   SuperscriptBox[
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
                   RowBox[{
                    RowBox[{"a", "[", "t", "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
                "-", 
                RowBox[{"4", " ", 
                 SuperscriptBox[
                  RowBox[{"A", "[", "t", "]"}], "2"], " ", 
                 RowBox[{"Hl", "[", "t", "]"}], " ", 
                 RowBox[{"Y", "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"3", " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
                    RowBox[{
                    RowBox[{"a", "[", "t", "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
                   "+", 
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"a", "[", "t", "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                  ")"}]}], "+", 
                RowBox[{
                 RowBox[{"A", "[", "t", "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"3", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
                   RowBox[{"12", " ", 
                    RowBox[{"a", "[", "t", "]"}], " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["A", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "-", 
                    RowBox[{"3", " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
                   "+", 
                   RowBox[{
                    RowBox[{"a", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"3", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                    ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
                    RowBox[{"4", " ", 
                    RowBox[{"a", "[", "t", "]"}], " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "3"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], ".", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", 
                  SuperscriptBox[
                   RowBox[{"a", "[", "t", "]"}], "2"]}], ",", "0", ",", "0", 
                 ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 SuperscriptBox[
                  RowBox[{"a", "[", "t", "]"}], "2"], ",", "0", ",", "0"}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", 
                 SuperscriptBox[
                  RowBox[{"a", "[", "t", "]"}], "2"], ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "0", ",", 
                 SuperscriptBox[
                  RowBox[{"a", "[", "t", "]"}], "2"]}], "}"}]}], "}"}]}], "-", 
            RowBox[{"2", " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
             RowBox[{
              SuperscriptBox["Hl", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["Y", 
               TagBox[
                RowBox[{"(", 
                 RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                Derivative],
               MultilineFunction->None], "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["Y", 
               TagBox[
                RowBox[{"(", 
                 RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                Derivative],
               MultilineFunction->None], "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "+", 
            RowBox[{"4", " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["Y", 
               TagBox[
                RowBox[{"(", 
                 RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                Derivative],
               MultilineFunction->None], "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["Y", 
               TagBox[
                RowBox[{"(", 
                 RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                Derivative],
               MultilineFunction->None], "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], ")"}]}]}], 
        ")"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{
        FractionBox[
         RowBox[{"6", " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], 
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "3"]], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], "}"}]}], 
         "}"}]}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{
        RowBox[{
         FractionBox["1", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "4"], " ", 
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{"Hl", "[", "t", "]"}], " ", 
           RowBox[{"Y", "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"A", "[", "t", "]"}], "2"], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"Y", "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
                 RowBox[{
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"a", "[", "t", "]"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
             ")"}]}], "+", 
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"4", " ", 
                  SuperscriptBox[
                   RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                ")"}], " ", 
               SuperscriptBox[
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
              RowBox[{"12", " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"Hl", "[", "t", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Y", "[", 
                 RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["A", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}], "-", 
                 RowBox[{"3", " ", 
                  RowBox[{
                   SuperscriptBox["Hl", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                   ")"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
                 RowBox[{"4", " ", 
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "3"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                   ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"]}], ",", "0", ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0", ",", "0"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"]}], "}"}]}], "}"}]}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"A", "[", "t", "]"}], "+", 
         RowBox[{"Hl", "[", "t", "]"}]}], ")"}], " ", 
       RowBox[{
        SuperscriptBox["Y", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "1", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{
        FractionBox[
         RowBox[{"6", " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], 
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "3"]], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], "}"}]}], 
         "}"}]}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{
        RowBox[{
         FractionBox["1", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "4"], " ", 
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{"Hl", "[", "t", "]"}], " ", 
           RowBox[{"Y", "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"A", "[", "t", "]"}], "2"], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"Y", "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
                 RowBox[{
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"a", "[", "t", "]"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
             ")"}]}], "+", 
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"4", " ", 
                  SuperscriptBox[
                   RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                ")"}], " ", 
               SuperscriptBox[
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
              RowBox[{"12", " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"Hl", "[", "t", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Y", "[", 
                 RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["A", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}], "-", 
                 RowBox[{"3", " ", 
                  RowBox[{
                   SuperscriptBox["Hl", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                   ")"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
                 RowBox[{"4", " ", 
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "3"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                   ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"]}], ",", "0", ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0", ",", "0"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"]}], "}"}]}], "}"}]}]}], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "-", 
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["Hl", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["Y", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "0", ",", "1"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], 
       RowBox[{"a", "[", "t", "]"}]]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{
        FractionBox[
         RowBox[{"6", " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], 
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "3"]], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], "}"}]}], 
         "}"}]}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{
        RowBox[{
         FractionBox["1", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "4"], " ", 
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{"Hl", "[", "t", "]"}], " ", 
           RowBox[{"Y", "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"A", "[", "t", "]"}], "2"], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"Y", "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
                 RowBox[{
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"a", "[", "t", "]"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
             ")"}]}], "+", 
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"4", " ", 
                  SuperscriptBox[
                   RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                ")"}], " ", 
               SuperscriptBox[
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
              RowBox[{"12", " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"Hl", "[", "t", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Y", "[", 
                 RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["A", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}], "-", 
                 RowBox[{"3", " ", 
                  RowBox[{
                   SuperscriptBox["Hl", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                   ")"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
                 RowBox[{"4", " ", 
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "3"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                   ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"]}], ",", "0", ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0", ",", "0"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"]}], "}"}]}], "}"}]}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"A", "[", "t", "]"}], "+", 
         RowBox[{"Hl", "[", "t", "]"}]}], ")"}], " ", 
       RowBox[{
        SuperscriptBox["Y", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "0", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{
        FractionBox[
         RowBox[{"6", " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], 
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "3"]], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            RowBox[{"2", " ", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"], " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], "}"}]}], 
         "}"}]}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{
        RowBox[{
         FractionBox["1", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "4"], " ", 
           RowBox[{"A", "[", "t", "]"}], " ", 
           RowBox[{"Hl", "[", "t", "]"}], " ", 
           RowBox[{"Y", "[", 
            RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"A", "[", "t", "]"}], "2"], " ", 
            RowBox[{"Hl", "[", "t", "]"}], " ", 
            RowBox[{"Y", "[", 
             RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"Y", "[", 
                RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
                 RowBox[{
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"a", "[", "t", "]"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                 RowBox[{
                  SuperscriptBox["Y", 
                   TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                   MultilineFunction->None], "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
             ")"}]}], "+", 
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"4", " ", 
                  SuperscriptBox[
                   RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                ")"}], " ", 
               SuperscriptBox[
                RowBox[{
                 SuperscriptBox["a", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
              RowBox[{"12", " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"Hl", "[", "t", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Y", "[", 
                 RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["A", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}], "-", 
                 RowBox[{"3", " ", 
                  RowBox[{
                   SuperscriptBox["Hl", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
              "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                   ")"}], " ", 
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
                 RowBox[{"4", " ", 
                  RowBox[{"a", "[", "t", "]"}], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "3"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                   ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox[
              RowBox[{"a", "[", "t", "]"}], "2"]}], ",", "0", ",", "0", ",", 
            "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0", ",", "0"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", 
            SuperscriptBox[
             RowBox[{"a", "[", "t", "]"}], "2"]}], "}"}]}], "}"}]}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"A", "[", "t", "]"}], "+", 
         RowBox[{"Hl", "[", "t", "]"}]}], ")"}], " ", 
       RowBox[{
        SuperscriptBox["Y", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "1", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], ",", 
     RowBox[{"-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "2"]}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"A", "[", "t", "]"}], "-", 
            RowBox[{"Hl", "[", "t", "]"}]}], ")"}], " ", 
          RowBox[{"Y", "[", 
           RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{"Y", "[", 
           RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                SuperscriptBox["A", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "-", 
               RowBox[{"5", " ", 
                RowBox[{
                 SuperscriptBox["Hl", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"A", "[", "t", "]"}], "-", 
               RowBox[{"Hl", "[", "t", "]"}]}], ")"}], " ", 
             RowBox[{
              SuperscriptBox["a", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"a", "[", "t", "]"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox[
              RowBox[{"6", " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}], 
              SuperscriptBox[
               RowBox[{"a", "[", "t", "]"}], "3"]], ".", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "2"}], " ", 
                  SuperscriptBox[
                   RowBox[{"a", "[", "t", "]"}], "2"], " ", 
                  RowBox[{"A", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", 
                 ",", "0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"a", "[", "t", "]"}], "2"], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0", 
                 ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"a", "[", "t", "]"}], "2"], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ",", "0"}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "0", ",", 
                 RowBox[{"2", " ", 
                  SuperscriptBox[
                   RowBox[{"a", "[", "t", "]"}], "2"], " ", 
                  RowBox[{"Hl", "[", "t", "]"}], " ", 
                  RowBox[{"Y", "[", 
                   RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], "}"}]}], 
              "}"}]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"1", "/", 
               RowBox[{"(", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"a", "[", "t", "]"}], "4"], " ", 
                 RowBox[{"A", "[", "t", "]"}], " ", 
                 RowBox[{"Hl", "[", "t", "]"}], " ", 
                 RowBox[{"Y", "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "3"}], " ", 
                 RowBox[{"Hl", "[", "t", "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   SuperscriptBox[
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "-", 
                   RowBox[{
                    RowBox[{"a", "[", "t", "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
                "-", 
                RowBox[{"4", " ", 
                 SuperscriptBox[
                  RowBox[{"A", "[", "t", "]"}], "2"], " ", 
                 RowBox[{"Hl", "[", "t", "]"}], " ", 
                 RowBox[{"Y", "[", 
                  RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"3", " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
                    RowBox[{
                    RowBox[{"a", "[", "t", "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
                   "+", 
                   RowBox[{
                    SuperscriptBox[
                    RowBox[{"a", "[", "t", "]"}], "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                  ")"}]}], "+", 
                RowBox[{
                 RowBox[{"A", "[", "t", "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"3", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                    ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
                   RowBox[{"12", " ", 
                    RowBox[{"a", "[", "t", "]"}], " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"], " ", 
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["A", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "-", 
                    RowBox[{"3", " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
                   "+", 
                   RowBox[{
                    RowBox[{"a", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"3", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"Hl", "[", "t", "]"}], "2"], " ", 
                    SuperscriptBox[
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "2"]}]}], 
                    ")"}], " ", 
                    RowBox[{
                    SuperscriptBox["a", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
                    RowBox[{"4", " ", 
                    RowBox[{"a", "[", "t", "]"}], " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "3"}], " ", 
                    RowBox[{"Y", "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
                    RowBox[{
                    SuperscriptBox["Hl", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"Hl", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "+", 
                    RowBox[{
                    SuperscriptBox["Y", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                    RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], ")"}]}]}], 
                    ")"}]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], ".", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", 
                  SuperscriptBox[
                   RowBox[{"a", "[", "t", "]"}], "2"]}], ",", "0", ",", "0", 
                 ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 SuperscriptBox[
                  RowBox[{"a", "[", "t", "]"}], "2"], ",", "0", ",", "0"}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", 
                 SuperscriptBox[
                  RowBox[{"a", "[", "t", "]"}], "2"], ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "0", ",", 
                 SuperscriptBox[
                  RowBox[{"a", "[", "t", "]"}], "2"]}], "}"}]}], "}"}]}], "-", 
            RowBox[{"2", " ", 
             RowBox[{"Y", "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], " ", 
             RowBox[{
              SuperscriptBox["Hl", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"A", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["Y", 
               TagBox[
                RowBox[{"(", 
                 RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                Derivative],
               MultilineFunction->None], "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "+", 
            RowBox[{"4", " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["Y", 
               TagBox[
                RowBox[{"(", 
                 RowBox[{"0", ",", "0", ",", "2"}], ")"}],
                Derivative],
               MultilineFunction->None], "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["Y", 
               TagBox[
                RowBox[{"(", 
                 RowBox[{"0", ",", "2", ",", "0"}], ")"}],
                Derivative],
               MultilineFunction->None], "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"Hl", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["Y", 
               TagBox[
                RowBox[{"(", 
                 RowBox[{"2", ",", "0", ",", "0"}], ")"}],
                Derivative],
               MultilineFunction->None], "[", 
              RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}]}], ")"}]}]}], 
        ")"}]}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.5410457079262*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Info", "Section",
 CellChangeTimes->{{3.5410456570302887`*^9, 3.5410456585593767`*^9}}],

Cell[TextData[StyleBox["CosPer.m, V 0.1 For testing.\nI would like to add \
more funtions to CosPer.m package such as some function used for \
energy-momentum tensor calculation in perturbation theory in later versions.",
 FontColor->RGBColor[0.5, 0, 0.5]]], "Text",
 CellChangeTimes->{{3.5410454957770653`*^9, 3.5410455908485036`*^9}}],

Cell[TextData[{
 "!! Written in the original GREAT.m testing file GRTesting.nb. These are \
also true for this new CosPer.m package !!\nThe above \"functions\" do \
perform a ",
 StyleBox["Simplify[]", "Input"],
 " on the result, but you may want to further manipulate the expression into \
something that may be more \nusable, depending on the particular application.\
\nNote: Einstein Equations employed here is ",
 Cell[BoxData[
  FormBox["R", TraditionalForm]]],
 "ab--gab*R=8GTab ,  where misses a  minus sign,  and the Ricci tensor is \
defined  a little different from the one uesed in the Textbook, there is one \
more minus sign in fron t of the definition. So in the end the result remains \
the same."
}], "Text",
 CellChangeTimes->{{3.483184329671875*^9, 3.483184616875*^9}, {
  3.48318465728125*^9, 3.483184745859375*^9}, {3.5410452965456705`*^9, 
  3.5410453697448573`*^9}}]
}, Open  ]]
},
WindowSize->{1016, 681},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info3541074465-4348091"->{
  Cell[1544, 55, 255, 5, 58, "Print",
   CellTags->"Info3541074465-4348091"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info3541074465-4348091", 292597, 7768}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 66, 0, 71, "Section"],
Cell[636, 24, 39, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[700, 28, 169, 3, 31, "Input"],
Cell[872, 33, 434, 9, 21, "Message"],
Cell[1309, 44, 76, 1, 30, "Output"]
}, Open  ]],
Cell[1400, 48, 66, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[1491, 52, 50, 1, 31, "Input"],
Cell[1544, 55, 255, 5, 58, "Print",
 CellTags->"Info3541074465-4348091"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1848, 66, 99, 1, 71, "Section"],
Cell[CellGroupData[{
Cell[1972, 71, 160, 2, 36, "Subsection"],
Cell[2135, 75, 122, 5, 29, "Text"],
Cell[CellGroupData[{
Cell[2282, 84, 325, 6, 31, "Input"],
Cell[2610, 92, 140, 3, 30, "Output"]
}, Open  ]],
Cell[2765, 98, 165, 6, 29, "Text"],
Cell[CellGroupData[{
Cell[2955, 108, 1689, 39, 31, "Input"],
Cell[4647, 149, 971, 29, 98, "Output"]
}, Open  ]],
Cell[5633, 181, 104, 4, 30, "Text"],
Cell[CellGroupData[{
Cell[5762, 189, 95, 2, 31, "Input"],
Cell[5860, 193, 1080, 33, 138, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6977, 231, 220, 6, 31, "Input"],
Cell[7200, 239, 780, 25, 49, "Output"]
}, Open  ]],
Cell[7995, 267, 119, 3, 29, "Text"],
Cell[CellGroupData[{
Cell[8139, 274, 89, 2, 31, "Input"],
Cell[8231, 278, 3274, 97, 125, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11542, 380, 85, 2, 31, "Input"],
Cell[11630, 384, 15678, 438, 551, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27345, 827, 83, 2, 31, "Input"],
Cell[27431, 831, 2193, 66, 53, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29661, 902, 306, 6, 31, "Input"],
Cell[29970, 910, 266, 8, 49, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30273, 923, 196, 4, 31, "Input"],
Cell[30472, 929, 268, 8, 49, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30777, 942, 92, 2, 31, "Input"],
Cell[30872, 946, 1969, 59, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32878, 1010, 85, 2, 31, "Input"],
Cell[32966, 1014, 890, 27, 53, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33893, 1046, 87, 2, 31, "Input"],
Cell[33983, 1050, 930, 28, 53, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34950, 1083, 780, 22, 31, "Input"],
Cell[35733, 1107, 1308, 38, 103, "Output"]
}, Open  ]],
Cell[37056, 1148, 102, 1, 29, "Text"],
Cell[CellGroupData[{
Cell[37183, 1153, 665, 17, 31, "Input"],
Cell[37851, 1172, 831, 27, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38719, 1204, 105, 1, 31, "Input"],
Cell[38827, 1207, 78, 1, 30, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[38966, 1215, 154, 2, 71, "Section"],
Cell[CellGroupData[{
Cell[39145, 1221, 108, 1, 36, "Subsection"],
Cell[39256, 1224, 336, 6, 29, "Text"],
Cell[CellGroupData[{
Cell[39617, 1234, 7026, 206, 232, "Input"],
Cell[46646, 1442, 145, 3, 30, "Output"],
Cell[46794, 1447, 961, 27, 50, "Output"]
}, Open  ]],
Cell[47770, 1477, 133, 3, 29, "Text"],
Cell[CellGroupData[{
Cell[47928, 1484, 1667, 43, 52, "Input"],
Cell[49598, 1529, 1601, 45, 98, "Output"]
}, Open  ]],
Cell[51214, 1577, 112, 1, 29, "Text"],
Cell[CellGroupData[{
Cell[51351, 1582, 494, 9, 31, "Input"],
Cell[51848, 1593, 26418, 725, 314, "Output"]
}, Open  ]],
Cell[78281, 2321, 106, 1, 29, "Text"],
Cell[CellGroupData[{
Cell[78412, 2326, 208, 5, 31, "Input"],
Cell[78623, 2333, 22047, 617, 165, "Output"]
}, Open  ]],
Cell[100685, 2953, 279, 5, 29, "Text"],
Cell[CellGroupData[{
Cell[100989, 2962, 176, 3, 31, "Input"],
Cell[101168, 2967, 6253, 174, 117, "Output"]
}, Open  ]],
Cell[107436, 3144, 280, 5, 29, "Text"],
Cell[CellGroupData[{
Cell[107741, 3153, 180, 3, 31, "Input"],
Cell[107924, 3158, 182945, 4563, 3680, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[290930, 7728, 93, 1, 71, "Section"],
Cell[291026, 7731, 336, 4, 47, "Text"],
Cell[291365, 7737, 888, 17, 102, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
